local Enchanter= {
    version = 0.08,
    listview = nil

}

Enchanter.name = "Enchanter"
Enchanter.command = "/ench"
Enchanter.version	= "v1.0.01"
Enchanter.settingsVersion = 1;
Enchanter.Potency = {
					--Additive
				haveAdditive = false;
				Jora = false;
				Porade = false;
				Jera = false;
				Jejora = false;
				Odra = false;
				Pojora = false;
				Edora = false;
				Jaera = false;
				Pora = false;
				Denara = false;
				Rera = false;
				Derado  = false;
				Recura  = false;
				Cura  = false;

				--Subtractive
				haveSubtractive = false;
				Jode  = false;
				Notade = false;
				Ode = false;
				Tade = false;
				Jayde = false;
				Edode = false;
				Pojode = false;
				Rekude = false;
				Hade = false;
				Idode = false;
				Pode = false;
				Kedeko = false;
				Rede = false;
				Kude = false;
			}

Enchanter.Essence = {
				Dekeipa = false;
				Deni = false;
				Denima = false;
				Deteri = false;
				Haoko = false;
				Kaderi = false;
				Kuoko = false;
				Makderi = false;
				Makko = false;
				Makkoma = false;
				Meip = false;
				Oko = false;
				Okoma = false;
				Okori = false;
				Oru = false;
				Rakeipa = false;
				Taderi = false;

				}
Enchanter.Aspect = {
				hasAspect = false;
				Ta = false;
				Jejota = false;
				Denata = false;
				Rekuta = false;
				Kuta = false;
			}



function Enchanter.initialize()
	Enchanter.listview = Unicorn.ListView.new(EnchanterControl, {
        title = "|cccccccEnchanter |cffff99" .. Enchanter.version,
        width = 700,
        left = 400,
        top = 40,
		height = 750;
    })
	Enchanter.listview.control:SetHidden(true)
	EVENT_MANAGER:RegisterForEvent("Enchanter", EVENT_CRAFTING_STATION_INTERACT, Enchanter.on_start_enchanting_station)
	EVENT_MANAGER:RegisterForEvent("Enchanter", EVENT_END_CRAFTING_STATION_INTERACT, Enchanter.on_end_enchanting_station)
	EVENT_MANAGER:RegisterForEvent("Enchanter", EVENT_CRAFT_COMPLETED, Enchanter.on_end_enchantment)

end



function Enchanter.on_start_enchanting_station(event_type, crafting_type)
if (crafting_type == CRAFTING_TYPE_ENCHANTING) then
	Enchanter.printAvailRunes()
end

end

function Enchanter.on_end_enchantment(crafting_type)
	if(crafting_type == CRAFTING_TYPE_ENCHANTING) then
		Enchanter.printAvailRunes()
	end
end


local function on_addon_load(eventCode, addOnName)
    if addOnName == "Enchanter" then
        Enchanter.initialize()
    end
	EVENT_MANAGER:RegisterForEvent("Enchanter", EVENT_ADD_ON_LOADED, on_addon_load)
end


function Enchanter.on_end_enchanting_station(event_type, crafting_type)
	Enchanter.listview.control:SetHidden(true)
end

function Enchanter.getAspectRunes()
	local j, bagSize = GetBagInfo(1)
	local j, bankSize = GetBagInfo(2)

	for i = 1, bankSize do
		local itemName = GetItemName(2, i)

		if(itemName == "Ta") then
			Enchanter.Aspect.Ta = true
			Enchanter.Aspect.hasAspect = true
		end

		if(itemName == "Jejota") then
			Enchanter.Aspect.Jejota = true
			Enchanter.Aspect.hasAspect = true
		end

		if(itemName == "Denata") then
			Enchanter.Aspect.Denata = true
			Enchanter.Aspect.hasAspect = true
		end

		if(itemName == "Rekuta") then
			Enchanter.Aspect.Rekuta = true
			Enchanter.Aspect.hasAspect = true
		end

		if(itemName == "Kuta") then
			Enchanter.Aspect.Kuta = true
			Enchanter.Aspect.hasAspect = true
		end
	end

	for i = 1, bagSize do
		local itemName = GetItemName(1, i)

		if(itemName == "Ta") then
			Enchanter.Aspect.Ta = true
			Enchanter.Aspect.hasAspect = true
		end

		if(itemName == "Jejota") then
			Enchanter.Aspect.Jejota = true
			Enchanter.Aspect.hasAspect = true
		end

		if(itemName == "Denata") then
			Enchanter.Aspect.Denata = true
			Enchanter.Aspect.hasAspect = true
		end

		if(itemName == "Rekuta") then
			Enchanter.Aspect.Rekuta = true
			Enchanter.Aspect.hasAspect = true
		end

		if(itemName == "Kuta") then
			Enchanter.Aspect.Kuta = true
			Enchanter.Aspect.hasAspect = true
		end

	end
end


function Enchanter.getEssenceRunes()
	local j, bagSize = GetBagInfo(1)
	local j, bankSize = GetBagInfo(2)

	for i = 1, bankSize do
		local itemName = GetItemName(2, i)
		if(itemName == "Dekeipa") then
			Enchanter.Essence.Dekeipa = true
		end

		if(itemName == "Deni") then
			Enchanter.Essence.Deni = true
		end

		if(itemName == "Denima") then
			Enchanter.Essence.Denima = true
		end

		if(itemName == "Deteri") then
			Enchanter.Essence.Deteri = true
		end

		if(itemName == "Haoko") then
			Enchanter.Essence.Haoko = true
		end

		if(itemName == "Kaderi") then
			Enchanter.Essence.Kaderi = true
		end

		if(itemName == "Kuoko") then
			Enchanter.Essence.Kuoko = true
		end

		if(itemName == "Makderi") then
			Enchanter.Essence.Makderi = true
		end

		if(itemName == "Makko") then
			Enchanter.Essence.Makko = true
		end

		if(itemName == "Makkoma") then
			Enchanter.Essence.Makkoma = true
		end

		if(itemName == "Meip") then
			Enchanter.Essence.Meip = true
		end

		if(itemName == "Oko") then
			Enchanter.Essence.Oko = true
		end

		if(itemName == "Okoma") then
			Enchanter.Essence.Okoma= true
		end

		if(itemName == "Okori") then
			Enchanter.Essence.Okori = true
		end

		if(itemName == "Oru") then
			Enchanter.Essence.Oru = true
		end

		if(itemName == "Rakeipa") then
			Enchanter.Essence.Rakeipa= true
		end

		if(itemName == "Taderi") then
			Enchanter.Essence.Taderi= true
		end
	end

	for i = 1, bagSize do
		local itemName = GetItemName(1, i)
		if(itemName == "Dekeipa") then
			Enchanter.Essence.Dekeipa = true
		end

		if(itemName == "Deni") then
			Enchanter.Essence.Deni = true
		end

		if(itemName == "Denima") then
			Enchanter.Essence.Denima = true
		end

		if(itemName == "Deteri") then
			Enchanter.Essence.Deteri = true
		end

		if(itemName == "Haoko") then
			Enchanter.Essence.Haoko = true
		end

		if(itemName == "Kaderi") then
			Enchanter.Essence.Kaderi = true
		end

		if(itemName == "Kuoko") then
			Enchanter.Essence.Kuoko = true
		end

		if(itemName == "Makderi") then
			Enchanter.Essence.Makderi = true
		end

		if(itemName == "Makko") then
			Enchanter.Essence.Makko = true
		end

		if(itemName == "Makkoma") then
			Enchanter.Essence.Makkoma = true
		end

		if(itemName == "Meip") then
			Enchanter.Essence.Meip = true
		end

		if(itemName == "Oko") then
			Enchanter.Essence.Oko = true
		end

		if(itemName == "Okoma") then
			Enchanter.Essence.Okoma= true
		end

		if(itemName == "Okori") then
			Enchanter.Essence.Okori = true
		end

		if(itemName == "Oru") then
			Enchanter.Essence.Oru = true
		end

		if(itemName == "Rakeipa") then
			Enchanter.Essence.Rakeipa= true else Enchanter.Essence.Taderi = false
		end

		if(itemName == "Taderi") then
			Enchanter.Essence.Taderi= true
		end
	end
end



function Enchanter.getPotencyRunes()
	local j, bagSize = GetBagInfo(1)
	local j, bankSize = GetBagInfo(2)

	for i = 1, bankSize do
		local itemName = GetItemName(2, i)

		--Additve Potency Runes
		if(itemName == "Jora") then
			Enchanter.Potency.Jora = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Porade") then
			Enchanter.Potency.Porade = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Jera") then
			Enchanter.Potency.Jera = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Jejora") then
			Enchanter.Potency.Jejora = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Odra") then
			Enchanter.Potency.Odra = true
			Enchanter.Potency.haveAdditive = true
		end
		if(itemName == "Pojora") then
			Enchanter.Potency.Pojora = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Edora") then
			Enchanter.Potency.Edora = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Jaera") then
			Enchanter.Potency.Jaera = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Pora") then
			Enchanter.Potency.Pora = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Denara") then
			Enchanter.Potency.Denara = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Rera") then
			Enchanter.Potency.Rera = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Derado") then
			Enchanter.Potency.Derado = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Recura") then
			Enchanter.Potency.Recura = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Cura") then
			Enchanter.Potency.Cura = true
			Enchanter.Potency.haveAdditive = true
		end

		--Subtractive Potency Runes
		if(itemName == "Jode") then
			Enchanter.Potency.Jode = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Notade") then
			Enchanter.Potency.Notade = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Ode") then
			Enchanter.Potency.Ode = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Tade") then
			Enchanter.Potency.Tade = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Jayde") then
			Enchanter.Potency.Jayde = true
			Enchanter.Potency.haveSubtractive = true
		end
		if(itemName == "Edode") then
			Enchanter.Potency.Edode = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Pojode") then
			Enchanter.Potency.Pojode = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Rekude") then
			Enchanter.Potency.Rekude = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Hade") then
			Enchanter.Potency.Hade = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Idode ") then
			Enchanter.Potency.Idode  = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Pode") then
			Enchanter.Potency.Pode = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Kedeko") then
			Enchanter.Potency.Kedeko = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Rede") then
			Enchanter.Potency.Rede = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Kude") then
			Enchanter.Potency.Rede = true
			Enchanter.Potency.haveSubtractive = true
		end

	end

	for i = 1, bankSize do
		local itemName = GetItemName(1, i)
			--Additve Potency Runes
		if(itemName == "Jora") then
			Enchanter.Potency.Jora = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Porade") then
			Enchanter.Potency.Porade = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Jera") then
			Enchanter.Potency.Jera = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Jejora") then
			Enchanter.Potency.Jejora = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Odra") then
			Enchanter.Potency.Odra = true
			Enchanter.Potency.haveAdditive = true
		end
		if(itemName == "Pojora") then
			Enchanter.Potency.Pojora = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Edora") then
			Enchanter.Potency.Edora = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Jaera") then
			Enchanter.Potency.Jaera = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Pora") then
			Enchanter.Potency.Pora = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Denara") then
			Enchanter.Potency.Denara = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Rera") then
			Enchanter.Potency.Rera = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Derado") then
			Enchanter.Potency.Derado = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Recura") then
			Enchanter.Potency.Recura = true
			Enchanter.Potency.haveAdditive = true
		end

		if(itemName == "Cura") then
			Enchanter.Potency.Cura = true
			Enchanter.Potency.haveAdditive = true
		end

		--Subtractive Potency Runes
		if(itemName == "Jode") then
			Enchanter.Potency.Jode = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Notade") then
			Enchanter.Potency.Notade = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Ode") then
			Enchanter.Potency.Ode = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Tade") then
			Enchanter.Potency.Tade = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Jayde") then
			Enchanter.Potency.Jayde = true
			Enchanter.Potency.haveSubtractive = true
		end
		if(itemName == "Edode") then
			Enchanter.Potency.Edode = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Pojode") then
			Enchanter.Potency.Pojode = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Rekude") then
			Enchanter.Potency.Rekude = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Hade") then
			Enchanter.Potency.Hade = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Idode ") then
			Enchanter.Potency.Idode  = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Pode") then
			Enchanter.Potency.Pode = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Kedeko") then
			Enchanter.Potency.Kedeko = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Rede") then
			Enchanter.Potency.Rede = true
			Enchanter.Potency.haveSubtractive = true
		end

		if(itemName == "Kude") then
			Enchanter.Potency.Rede = true
			Enchanter.Potency.haveSubtractive = true
		end

	end
end

function Enchanter.printAvailRunes()
	local mw = Enchanter.listview
	mw:clear()
	Enchanter.listview.control:SetHidden(false)
	Enchanter.getAspectRunes()
	if(Enchanter.Aspect.hasAspect == false) then
		mw:add_message("|cff0000".."NO ASPECT RUNES AVAILABLE")


	else
		Enchanter.getPotencyRunes()
		Enchanter.getEssenceRunes()

--Armor Glyphs
	if((Enchanter.Essence.Makko == true and Enchanter.Potency.haveAdditive == true)
	or (Enchanter.Essence.Oko == true and Enchanter.Potency.haveAdditive == true)
	or (Enchanter.Essence.Deni == true and Enchanter.Potency.haveAdditive == true) and (Enchanter.Aspect.hasAspect == true	)) then
		mw:add_message("|cff0000".."--Armor Glyphs Available--")
		end

	if(Enchanter.Essence.Makko == true and Enchanter.Potency.haveAdditive == true) then
		mw:add_message("	Armor Glyph of Magicka - Additive/Makko/Aspect")
	end

	if(Enchanter.Essence.Oko == true and Enchanter.Potency.haveAdditive == true) then
		mw:add_message("	Armor Glyph of Health - Additive/Oko/Aspect")
	end

	if(Enchanter.Essence.Deni == true and Enchanter.Potency.haveAdditive == true) then
		mw:add_message("	Armor Glyph of Stamina - Additive/Deni/Aspect")
	end

--Weapon Glyphs
	if((Enchanter.Essence.Makko == true and Enchanter.Potency.haveSubtractive == true)
	or (Enchanter.Essence.Oko == true and Enchanter.Potency.haveSubtractive == true)
	or (Enchanter.Essence.Deni == true and Enchanter.Potency.haveSubtractive == true)
	or (Enchanter.Essence.Okoma == true and Enchanter.Potency.haveSubtractive == true)
	or (Enchanter.Essence.Okori == true and Enchanter.Potency.haveSubtractive == true)
	or (Enchanter.Essence.Deteri == true and Enchanter.Potency.haveSubtractive == true)

	or (Enchanter.Essence.Dekeipa == true and Enchanter.Potency.haveAdditive == true)
	or (Enchanter.Essence.Haoko == true and Enchanter.Potency.haveAdditive == true)
	or (Enchanter.Essence.Kuoko == true and Enchanter.Potency.haveAdditive == true)
	or (Enchanter.Essence.Meip == true and Enchanter.Potency.haveAdditive == true)
	or (Enchanter.Essence.Okori == true and Enchanter.Potency.haveAdditive == true)
	or (Enchanter.Essence.Rakeipa == true and Enchanter.Potency.haveAdditive == true)
	or (Enchanter.Essence.Deteri == true and Enchanter.Potency.haveAdditive == true)

	and (Enchanter.Aspect.hasAspect == true	)) then
		mw:add_message("")
		mw:add_message("|cff0000".."--Weapon Glyphs Available--")
	end

	--Weapon Subtractives

	if(Enchanter.Essence.Makko == true and Enchanter.Potency.haveSubtractive == true) then
		mw:add_message("	Glyph of Absorb Magicka - Subtractive/Makko/Aspect")
		mw:add_message("	--Deals Magic Damage and Recovers Magicka")
		mw:add_message("")
	end

	if(Enchanter.Essence.Oko == true and Enchanter.Potency.haveSubtractive == true) then
		mw:add_message("	Glyph of Absorb Health - Subtractive/Oko/Aspect")
		mw:add_message("	--Deals Magic Damage and Recovers Health")
		mw:add_message("")
	end

	if(Enchanter.Essence.Okoma == true and Enchanter.Potency.haveSubtractive == true) then
		mw:add_message("	Glyph of Decrease Health - Subtractive/Okoma/Aspect")
		mw:add_message("	--Deals Unresistable Damage")
		mw:add_message("")
	end

	if(Enchanter.Essence.Okori == true and Enchanter.Potency.haveSubtractive == true) then
		mw:add_message("	Glyph of Weakening - Subtractive/Okori/Aspect")
		mw:add_message("	--Reduces Targer Power")
		mw:add_message("")
	end

	if(Enchanter.Essence.Deni == true and Enchanter.Potency.haveSubtractive == true) then
		mw:add_message("	Glyph of Absorb Stamina - Subtractive/Deni/Aspect")
		mw:add_message("	--Deals Magic Damage and Recovers Stamina")
		mw:add_message("")
	end

	if(Enchanter.Essence.Deteri == true and Enchanter.Potency.haveSubtractive == true) then
		mw:add_message("	Glyph of Crushing - Subtractive/Deteri/Aspect")
		mw:add_message("	--Reduces Target's Armor")
		mw:add_message("")
	end

	--Weapon Additives
	if(Enchanter.Essence.Dekeipa == true and Enchanter.Potency.haveAdditive == true) then
		mw:add_message("	Glyph of Frost - Additive/Dekeipa/Aspect")
		mw:add_message("	--Deals Frost Damage")
		mw:add_message("")
	end

	if(Enchanter.Essence.Haoko == true and Enchanter.Potency.haveAdditive == true) then
		mw:add_message("	Glyph of Foulness - Additive/Haoko/Aspect")
		mw:add_message("	--Deals Disease Damage")
		mw:add_message("")
	end

	if(Enchanter.Essence.Kuoko == true and Enchanter.Potency.haveAdditive == true) then
		mw:add_message("	Glyph of Poison - Additive/Kuoko/Aspect")
		mw:add_message("	--Deals Poison Damage")
		mw:add_message("")
	end

	if(Enchanter.Essence.Meip == true and Enchanter.Potency.haveAdditive == true) then
		mw:add_message("	Glyph of Shock - Additive/Meip/Aspect")
		mw:add_message("	--Deals Shock Damage")
		mw:add_message("")
	end

	if(Enchanter.Essence.Okori == true and Enchanter.Potency.haveAdditive == true) then
		mw:add_message("	Glyph of Rage - Additive/Okori/Aspect")
		mw:add_message("	--Increases your Power")
		mw:add_message("")
	end

	if(Enchanter.Essence.Rakeipa == true and Enchanter.Potency.haveAdditive == true) then
		mw:add_message("	Glyph of Flame - Additive/Rekeipa/Aspect")
		mw:add_message("	--Deals Flame Damage")
		mw:add_message("")
	end

	if(Enchanter.Essence.Deteri == true and Enchanter.Potency.haveAdditive == true) then
		mw:add_message("	Glyph of Hardening - Additive/Deteri/Aspect")
		mw:add_message("	--Grants Damage Shield")
		mw:add_message("")
	end

	--Jewelery Glyphs
	if((Enchanter.Essence.Dekeipa == true and Enchanter.Potency.haveSubtractive == true)
	or (Enchanter.Essence.Kuoko == true and Enchanter.Potency.haveSubtractive == true)
	or (Enchanter.Essence.Makderi == true and Enchanter.Potency.haveSubtractive == true)
	or (Enchanter.Essence.Taderi == true and Enchanter.Potency.haveSubtractive == true)
	or (Enchanter.Essence.Denima == true and Enchanter.Potency.haveSubtractive == true)
	or (Enchanter.Essence.Haoko == true and Enchanter.Potency.haveSubtractive == true)
	or (Enchanter.Essence.Kaderi == true and Enchanter.Potency.haveSubtractive == true)
	or (Enchanter.Essence.Makderi == true and Enchanter.Potency.haveSubtractive == true)
	or (Enchanter.Essence.Makkoma == true and Enchanter.Potency.haveSubtractive == true)
	or (Enchanter.Essence.Meip == true and Enchanter.Potency.haveSubtractive == true)
	or (Enchanter.Essence.Oru == true and Enchanter.Potency.haveSubtractive == true)
	or (Enchanter.Essence.Rakeipa == true and Enchanter.Potency.haveSubtractive == true)

	or (Enchanter.Essence.Taderi == true and Enchanter.Potency.haveAdditive == true)
	or (Enchanter.Essence.Okoma == true and Enchanter.Potency.haveAdditive == true)
	or (Enchanter.Essence.Makkoma == true and Enchanter.Potency.haveAdditive == true)
	or (Enchanter.Essence.Kaderi == true and Enchanter.Potency.haveAdditive == true)
	or (Enchanter.Essence.Denima == true and Enchanter.Potency.haveAdditive == true)
	or (Enchanter.Essence.Oru == true and Enchanter.Potency.haveAdditive == true)
	or (Enchanter.Essence.Makderi == true and Enchanter.Potency.haveAdditive == true)

	and (Enchanter.Aspect.hasAspect == true	)) then
		mw:add_message("")
		mw:add_message("|cff0000".."--Jewelery Glyphs Available--")
	end

	if(Enchanter.Essence.Dekeipa == true and Enchanter.Potency.haveSubtractive == true) then
		mw:add_message("	Glyph of Frost Resist - Subtractive/Dekeipa/Aspect")
		mw:add_message("	--Adds Frost Resistance")
		mw:add_message("")
	end

	if (Enchanter.Essence.Kuoko == true and Enchanter.Potency.haveSubtractive == true) then
		mw:add_message("	Glyph of Poison Resist - Subtractive/Kuoko/Aspect")
		mw:add_message("	--Adds Poison Resistance")
		mw:add_message("")
	end

	if (Enchanter.Essence.Makderi == true and Enchanter.Potency.haveSubtractive == true) then
		mw:add_message("	Glyph of Decrease Spell Harm - Subtractive/Makderi/Aspect")
		mw:add_message("	--Adds Spell Resistance")
		mw:add_message("")
	end

	if (Enchanter.Essence.Taderi == true and Enchanter.Potency.haveSubtractive == true) then
		mw:add_message("	Glyph of Decrease Physical Harm - Subtractive/Taderi/Aspect")
		mw:add_message("	--Adds Armor")
		mw:add_message("")
	end

	if (Enchanter.Essence.Denima == true and Enchanter.Potency.haveSubtractive == true) then
		mw:add_message("	Glyph of Reduce Feat Cost - Subtractive/Denima/Aspect")
		mw:add_message("	--Reduce Stamina cost of Abilities")
		mw:add_message("")
	end
	if (Enchanter.Essence.Haoko == true and Enchanter.Potency.haveSubtractive == true) then
		mw:add_message("	Glyph of Disease Resist - Subtractive/Haoko/Aspect")
		mw:add_message("	--Adds Disease Resistance")
		mw:add_message("")
	end

	if (Enchanter.Essence.Kaderi == true and Enchanter.Potency.haveSubtractive == true) then
		mw:add_message("	Glyph of Shielding - Subtractive/Kaderi/Aspect")
		mw:add_message("	--Reduce Cost of Bash and Blocking")
		mw:add_message("")
	end

	if (Enchanter.Essence.Makderi == true and Enchanter.Potency.haveSubtractive == true) then
		mw:add_message("	Glyph of Decrease Speel Harm - Subtractive/Makderi/Aspect")
		mw:add_message("	--Adds Spell Resistance")
		mw:add_message("")
	end

	if (Enchanter.Essence.Makkoma == true and Enchanter.Potency.haveSubtractive == true) then
		mw:add_message("	Glyph of Reduce Spell Cost- Subtractive/Makkoma/Aspect")
		mw:add_message("	--Reduce Magicka Cost of Spells")
		mw:add_message("")
	end

	if (Enchanter.Essence.Meip == true and Enchanter.Potency.haveSubtractive == true) then
		mw:add_message("	Glyph of Shock Resist - Subtractive/Meip/Aspect")
		mw:add_message("	--Adds Shock Resistance")
		mw:add_message("")
	end
	if (Enchanter.Essence.Oru == true and Enchanter.Potency.haveSubtractive == true) then
		mw:add_message("	Glyph of Potion Speed - Subtractive/Oru/Aspect")
		mw:add_message("	--Reduces the cooldown time of potions below this item's level")
		mw:add_message("")
	end

	if (Enchanter.Essence.Rakeipa == true and Enchanter.Potency.haveSubtractive == true) then
		mw:add_message("	Glyph of Fire Resist - Subtractive/Rakeipa/Aspect")
		mw:add_message("	--Adds Fire Resistance")
		mw:add_message("")
	end

	if (Enchanter.Essence.Taderi == true and Enchanter.Potency.haveAdditive == true) then
		mw:add_message("	Glyph of Increase Physical Harm - Additive/Taderi/Aspect")
		mw:add_message("	--Adds Weapon Damage")
		mw:add_message("")
	end

	if (Enchanter.Essence.Okoma == true and Enchanter.Potency.haveAdditive == true)  then
		mw:add_message("	Glyph of Health Regen - Additive/Okoma/Aspect")
		mw:add_message("	--Adds Health Recovery")
		mw:add_message("")
	end

	if (Enchanter.Essence.Makkoma == true and Enchanter.Potency.haveAdditive == true) then
		mw:add_message("	Glyph of Magicka Regen - Additive/Makkoma/Aspect")
		mw:add_message("	--Adds Magicka Recovery")
		mw:add_message("")
	end

	if (Enchanter.Essence.Kaderi == true and Enchanter.Potency.haveAdditive == true) then
		mw:add_message("	Glyph of Bashing - Additive/Kaderi/Aspect")
		mw:add_message("	--Increase Bash Damage")
		mw:add_message("")
	end

	if (Enchanter.Essence.Denima == true and Enchanter.Potency.haveAdditive == true) then
		mw:add_message("	Glyph of Stamina Regen - Additive/Denima/Aspect")
		mw:add_message("	--Adds Stamina Recovery")
		mw:add_message("")
	end

	if (Enchanter.Essence.Oru == true and Enchanter.Potency.haveAdditive == true) then
		mw:add_message("	Glyph of Potion Boost - Additive/Oru/Aspect")
		mw:add_message("	--Increase Potion Effect")
		mw:add_message("")
	end

	if (Enchanter.Essence.Makderi == true and Enchanter.Potency.haveAdditive == true) then
		mw:add_message("	Glyph of Increase Magical Harm - Additive/Makderi/Aspect")
		mw:add_message("	--Adds Spell Damage")
		mw:add_message("")
	end

	end
end

EVENT_MANAGER:RegisterForEvent("Enchanter", EVENT_ADD_ON_LOADED, on_addon_load)
